Subject: [Anima] draft-richardson-anima-masa-considerations-01.txt

From: Michael Richardson <[email-masked]>
Date: Thu, 05 Dec 2019 10:19:45 -0500

I have been working on two Operatonal Considerations document for BRSKI
Registrar(1) and MASA(2).    I also wrote an IPv6-over-LLDP proposal(3) that aims to
make the ACP easier to implement.  Unfortunately, due copy and paste errors I
posted (3) with the file name for (2), so the -00/-01 diff on this document
is nonsensical.

Here is the MASA operational considerations document.
It is far from complete as it does not yet deal with nonceless operation, nor
does it deal with constrained voucher operation.

It does deal with security implications of different PKI and Signing
Authority key architectures. I suspect that there are some other variations
that I have neglected or just not considered.

[email-masked] wrote:
    > A new version of I-D, draft-richardson-anima-masa-considerations-01.txt
    > has been successfully submitted by Michael Richardson and posted to the
    > IETF repository.

    > Name:		draft-richardson-anima-masa-considerations
    > Revision:	01
    > Title:		Operational Considerations for Manufacturer Authorized Signing Authority
    > Document date:	2019-12-04
    > Group:		Individual Submission
    > Pages:		10
    > URL:            https://www.ietf.org/internet-drafts/draft-richardson-anima-masa-considerations-01.txt
    > Status:         https://datatracker.ietf.org/doc/draft-richardson-anima-masa-considerations/
    > Htmlized:       https://tools.ietf.org/html/draft-richardson-anima-masa-considerations-01
    > Htmlized:       https://datatracker.ietf.org/doc/html/draft-richardson-anima-masa-considerations
    > Diff:           https://www.ietf.org/rfcdiff?url2=draft-richardson-anima-masa-considerations-01

    > Abstract:
    > This document describes a number of operational modes that a BRSKI
    > Manufacturer Authorized Signing Authority (MASA) may take on.

    > Each mode is defined, and then each mode is given a relevance within
    > an over applicability of what kind of organization the MASA is
    > deployed into.  This document does not change any protocol
    > mechanisms.

    > Please note that it may take a couple of minutes from the time of submission
    > until the htmlized version and diff are available at tools.ietf.org.

    > The IETF Secretariat

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-